Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.puppycrawl.tools.checkstyle.checks.javadoc
Class JavadocStyleCheck

    java.lang.Object
      com.puppycrawl.tools.checkstyle.api.AutomaticBean
          com.puppycrawl.tools.checkstyle.api.AbstractViolationReporter
              com.puppycrawl.tools.checkstyle.api.Check
                  com.puppycrawl.tools.checkstyle.checks.javadoc.JavadocStyleCheck

All Implemented Interfaces:
  Configurable, Contextualizable

public class JavadocStyleCheck
extends Check

Custom Checkstyle Check to validate Javadoc. The following checks are performed:

- Ensures the first sentence ends with proper punctuation (That is a period, question mark, or exclaimation mark). Javadoc automatically places the first sentence in the method summary table and index. With out proper punctuation the Javadoc may be malformed.
- Check text for Javadoc statements that do not have any description. This includes both completely empty Javadoc, and Javadoc with only tags such as @param and @return.
- Check text for incomplete html tags. Verifies that HTML tags have corresponding end tags and issues an UNCLOSED_HTML error if not. An EXTRA_HTML error is issued if an end tag is found without a previous open tag.

These checks were patterned after the checks made by the doclet `com.sun.tools.doclets.doccheck.DocCheck`

Version:
  1.2
Author:
  Chris Stillwell, Daniel Grenner

Constructor Summary
`JavadocStyleCheck()`

Method Summary
`int[]` | `getDefaultTokens()` The default tokens this Check is used for.
`void` | `setCheckEmptyJavadoc(boolean aFlag)` Sets the flag that determines if empty JavaDoc checking should be done.
`void` | `setCheckFirstSentence(boolean aFlag)` Sets the flag that determines if the first sentence is checked for proper end of sentence punctuation.
`void` | `setCheckHtml(boolean aFlag)` Sets the flag that determines if HTML checking is to be performed.
`void` | `setExcludeScope(java.lang.String aScope)` Set the excludeScope.
`void` | `setScope(java.lang.String aFrom)` Sets the scope to check.
`void` | `visitToken(DetailAST aAST)` Called to process a token.

Methods inherited from class com.puppycrawl.tools.checkstyle.api.Check
`beginTree, destroy, finishTree, getAcceptableTokens, getClassLoader, getFileContents, getLines, getRequiredTokens, getTabWidth, getTokenNames, init, leaveToken, log, log, setClassLoader, setFileContents, setMessages, setTabWidth, setTokens`

Methods inherited from class com.puppycrawl.tools.checkstyle.api.AbstractViolationReporter
`getMessageBundle, getSeverity, getSeverityLevel, log, log, log, log, log, log, log, log, log, setSeverity`

Methods inherited from class com.puppycrawl.tools.checkstyle.api.AutomaticBean
`configure, contextualize, finishLocalSetup, getConfiguration, setupChild`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JavadocStyleCheck

    public JavadocStyleCheck()

Method Detail

### getDefaultTokens

    public int[] getDefaultTokens()

  The default tokens this Check is used for.

  Specified by:
    `getDefaultTokens` in class `Check`
  Returns:
    the default tokens
  See Also:
    `Check.getDefaultTokens()`

### visitToken

    public void visitToken(DetailAST aAST)

  Called to process a token.

  Overrides:
    `visitToken` in class `Check`
  Parameters:
    `aAST` - the token to process
  See Also:
    `Check`

### setScope

    public void setScope(java.lang.String aFrom)

  Sets the scope to check.

  Parameters:
    `aFrom` - string to get the scope from

### setExcludeScope

    public void setExcludeScope(java.lang.String aScope)

  Set the excludeScope.

  Parameters:
    `aScope` - a `String` value

### setCheckFirstSentence

    public void setCheckFirstSentence(boolean aFlag)

  Sets the flag that determines if the first sentence is checked for proper end of sentence punctuation.

  Parameters:
    `aFlag` - `true` if the first sentence is to be checked

### setCheckHtml

    public void setCheckHtml(boolean aFlag)

  Sets the flag that determines if HTML checking is to be performed.

  Parameters:
    `aFlag` - `true` if HTML checking is to be performed.

### setCheckEmptyJavadoc

    public void setCheckEmptyJavadoc(boolean aFlag)

  Sets the flag that determines if empty JavaDoc checking should be done.

  Parameters:
    `aFlag` - `true` if empty JavaDoc checking should be done.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Back to the Checkstyle Home Page
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD